/*
 *                 Sun Public License Notice
 *
 * The contents of this file are subject to the Sun Public License
 * Version 1.0 (the "License"). You may not use this file except in
 * compliance with the License. A copy of the License is available at
 * http://www.sun.com/
 *
 * The Original Code is NetBeans. The Initial Developer of the Original
 * Code is Sun Microsystems, Inc. Portions Copyright 1997-2005 Sun
 * Microsystems, Inc. All Rights Reserved.
 */
package org.netbeans.lib.cvsclient.command;

/**
 * Extended Builder interface. If implemented it's means
 * that farmework must call this interface {@link #parseBytes}
 * instead of {@link Builder#parseLine}.
 *
 * @author Petr Kuzel
 */
public interface BinaryBuilder {

    /**
     * Raw binary data from stream. One <tt>Mbinary</tt>
     * is typicaly splitted into several chunks.
     *
     * @param chunk one data chunk. It must be cloned
     * if builer wants to retain data after finishing
     * this callback.
     * @param len defines valid data length 
     */
    void parseBytes(byte[] chunk, int len);
}
