/*****************************************************************************
 * Sun Public License Notice
 *
 * The contents of this file are subject to the Sun Public License Version
 * 1.0 (the "License"). You may not use this file except in compliance with
 * the License. A copy of the License is available at http://www.sun.com/

 * The Original Code is the CVS Client Library.
 * The Initial Developer of the Original Code is Robert Greig.
 * Portions created by Robert Greig are Copyright (C) 2000.
 * All Rights Reserved.

 * Contributor(s): Robert Greig.
 *****************************************************************************/
package org.netbeans.lib.cvsclient.event;

import java.util.*;

/**
 * The base class of all events that are generated by the CVS library.
 * Specialisations of this class give more details about the event.
 * @author  Robert Greig
 */
public abstract class CVSEvent extends EventObject {
    /**
     * Construct a CVS event.
     * @param source the object that is logically the source of the event
     */
    public CVSEvent(Object source) {
        super(source);
    }

    /**
     * Fire the event to the event listener. Subclasses should call the
     * appropriate method on the listener to dispatch this event.
     * @param listener the event listener
     */
    protected abstract void fireEvent(CVSListener listener);
}