/*
 *                 Sun Public License Notice
 *
 * The contents of this file are subject to the Sun Public License
 * Version 1.0 (the "License"). You may not use this file except in
 * compliance with the License. A copy of the License is available at
 * http://www.sun.com/
 *
 * The Original Code is NetBeans. The Initial Developer of the Original
 * Code is Sun Microsystems, Inc. Portions Copyright 1997-2005 Sun
 * Microsystems, Inc. All Rights Reserved.
 */
package org.netbeans.lib.cvsclient.request;

import java.io.File;

/**
 * Represents <tt>Is-modified  filename \n</tt> request.
 * It's faster alternative to Modified but must be used with
 * care see protocol specs.
 *
 * @author Petr Kuzel
 */
public final class IsModifiedRequest extends Request {

    private final String fileName;

    public IsModifiedRequest(File file) {
        fileName = file.getName();
    }

    public String getRequestString() {
        return "Is-modified " + fileName + "\n";  // NOI18N
    }

    public boolean isResponseExpected() {
        return false;
    }
}
