/*
 *                 Sun Public License Notice
 *
 * The contents of this file are subject to the Sun Public License
 * Version 1.0 (the "License"). You may not use this file except in
 * compliance with the License. A copy of the License is available at
 * http://www.sun.com/
 *
 * The Original Code is NetBeans. The Initial Developer of the Original
 * Code is Sun Microsystems, Inc. Portions Copyright 1997-2005 Sun
 * Microsystems, Inc. All Rights Reserved.
 */

package org.netbeans.lib.cvsclient.request;

/**
 * Represents <tt>Kopt option\n</tt> request.
 *
 * @author Petr Kuzel
 */
public class KoptRequest extends Request {

    private final String option;

    /**
     * @param option >i>option</i> terminal from C/S protol specification. 
     */
    public KoptRequest(String option) {
        this.option = option;
    }

    public String getRequestString() throws UnconfiguredRequestException {
        return "Kopt " + option + "\n";  // NOI!8N
    }

    public boolean isResponseExpected() {
        return false;
    }
}
